org.apache.tomcat.jni

## Interface ProcErrorCallback

    public interface ProcErrorCallback

ProcErrorCallback Interface

Author:
  Mladen Turk

### Method Summary

Methods
`void` `callback(long pool, int err, String description)` Called in the child process if APR encounters an error in the child prior to running the specified program.

### Method Detail

#### callback

    void callback(long pool,
                int err,
                String description)

Called in the child process if APR encounters an error in the child prior to running the specified program.

Parameters:
  `pool` - Pool associated with the apr_proc_t. If your child error function needs user data, associate it with this pool.
  `err` - APR error code describing the error
  `description` - Text description of type of processing which failed